Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2DecimalInputFunction Class Reference

Represents a parameterized decimal input function of the Xabsl2Engine. More...

`#include <Xabsl2Symbols.h>`

Inheritance diagram for Xabsl2DecimalInputFunction:

[legend]
Collaboration diagram for Xabsl2DecimalInputFunction:

[legend]
List of all members.

## Public Member Functions
| Xabsl2DecimalInputFunction (const char *name, Xabsl2FunctionProvider *pInstance, double(Xabsl2FunctionProvider::*pFunction)())
| Constructor.
double | getValue ()
| Calculates the value of the function.
## Public Attributes
Xabsl2Array< double & > | parameters
| References to the function parameters.
## Private Attributes
double(Xabsl2FunctionProvider::* | pF )()
| A pointer to a double returning function in the software environment.
Xabsl2FunctionProvider * | pI
| A pointer to the instance object that contains the function.

## Detailed Description

Represents a parameterized decimal input function of the Xabsl2Engine.

Author:
  Martin Lötzsch

Definition at line 107 of file Xabsl2Symbols.h.

## Constructor & Destructor Documentation

Xabsl2DecimalInputFunction::Xabsl2DecimalInputFunction | ( | const char * | name,
|  | Xabsl2FunctionProvider * | pInstance,
|  | double(Xabsl2FunctionProvider::* | pFunction)()
| ) | `[inline]`

  | Constructor. Parameters:
  name | The name of the function, for debugging purposes
  pFunction | A pointer to a double returning function in the software environment
  pInstance | A pointer to the instance that contains the function
Definition at line 115 of file Xabsl2Symbols.h.

## Member Function Documentation

double Xabsl2DecimalInputFunction::getValue | ( |  | ) | `[inline]`

| Calculates the value of the function. Note that the parameters for the function have to be set before that function is called. Definition at line 125 of file Xabsl2Symbols.h. Referenced by Xabsl2DecimalInputFunctionCall::getValue().

## Member Data Documentation

Xabsl2Array<double&> Xabsl2DecimalInputFunction::parameters

| References to the function parameters. Definition at line 128 of file Xabsl2Symbols.h. Referenced by Xabsl2Symbols::registerDecimalInputFunctionParameter(), and Xabsl2DecimalInputFunctionCall::Xabsl2DecimalInputFunctionCall().

double(Xabsl2FunctionProvider::* Xabsl2DecimalInputFunction::pF)()`[private]`

| A pointer to a double returning function in the software environment.

Xabsl2FunctionProvider* Xabsl2DecimalInputFunction::pI`[private]`

| A pointer to the instance object that contains the function. Definition at line 135 of file Xabsl2Symbols.h.

The documentation for this class was generated from the following file:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2Symbols.h